import logging

logger = logging.getLogger(__name__)


def bool_to_yes_no(val):
    if val:
        return "YES"
    else:
        return "NO"


def flying_team_to_str(flying_team):
    result = ""
    if flying_team is not None:
        result = unicode(flying_team)
    return result


def location_to_str(location):
    result = ""
    if location is not None:
        result = unicode(location.name)
    return result


def serialize_date(date):
    if date is not None:
        result = date.strftime('%Y-%m-%d')
    else:
        result = ""
    return result


def serialize_datetime(date):
    if date is not None:
        result = date.strftime('%Y-%m-%d %H:%M')
    else:
        result = ""
    return result


def add_column(result, name, field_name, column_list, param, columns_used_in_study=None, visible_param=None,
               sortable=True):
    add = True
    if columns_used_in_study:
        add = getattr(columns_used_in_study, field_name)
    if add:
        if visible_param is not None:
            visible = visible_param
        elif column_list is None:
            visible = True
        else:
            visible = getattr(column_list, field_name)
        result.append({
            "type": field_name,
            "name": name,
            "filter": param,
            "visible": visible,
            "sortable": sortable
        })
